| KD SOAP 1.9.1

Public Member Functions | List of all members
KDSoapEndpointReference Class Reference

`#include <KDSoapEndpointReference.h>`

## Public Member Functions
| KDSoapEndpointReference (const QString &address=QString())
| KDSoapEndpointReference (const KDSoapEndpointReference &other)
KDSoapEndpointReference & | operator= (const KDSoapEndpointReference &other)
| ~KDSoapEndpointReference ()
QString | address () const
void | setAddress (const QString &address)
KDSoapValueList | referenceParameters () const
void | setReferenceParameters (const KDSoapValueList &referenceParameters)
KDSoapValueList | metadata () const
void | setMetadata (const KDSoapValueList &metadata)
bool | isEmpty () const

## Detailed Description

KDSoapEndpointReference is the abstraction class to hold an Endpoint Reference properties.

See also
  : https://www.w3.org/TR/ws-addr-core/#eprinfoset

Since
  1.5

## Constructor & Destructor Documentation

## ◆ KDSoapEndpointReference() [1/2]

KDSoapEndpointReference::KDSoapEndpointReference | ( | const QString & | address = `QString()` | ) |
| explicit

Construct a KDSoapEndpointReference object with the given `address` If no address is given, then an empty QString is taken

## ◆ KDSoapEndpointReference() [2/2]

KDSoapEndpointReference::KDSoapEndpointReference | ( | const KDSoapEndpointReference & | other | ) |

Copy constructor of KDSoapEndpointReference

## ◆ ~KDSoapEndpointReference()

KDSoapEndpointReference::~KDSoapEndpointReference | ( |  | ) |

Destroys the object and frees up any resource used.

## Member Function Documentation

## ◆ operator=()

KDSoapEndpointReference & KDSoapEndpointReference::operator= | ( | const KDSoapEndpointReference & | other | ) |

Copy the content of the KDSoapEndpointReference from `other` to the object

## ◆ address()

QString KDSoapEndpointReference::address | ( |  | ) | const

Returns the address

## ◆ setAddress()

void KDSoapEndpointReference::setAddress | ( | const QString & | address | ) |

Sets the address of the endpoint reference

Parameters

  address |

## ◆ referenceParameters()

KDSoapValueList KDSoapEndpointReference::referenceParameters | ( |  | ) | const

Return the reference parameters, which can be of any types so we return a KDSoapValueList.

## ◆ setReferenceParameters()

void KDSoapEndpointReference::setReferenceParameters | ( | const KDSoapValueList & | referenceParameters | ) |

Sets the reference parameters

## ◆ metadata()

KDSoapValueList KDSoapEndpointReference::metadata | ( |  | ) | const

Return the meta data, which can be of any types so we return a KDSoapValueList

## ◆ setMetadata()

void KDSoapEndpointReference::setMetadata | ( | const KDSoapValueList & | metadata | ) |

Sets the meta data

## ◆ isEmpty()

bool KDSoapEndpointReference::isEmpty | ( |  | ) | const

Return true when the address has not been set

The documentation for this class was generated from the following files:

- src/KDSoapClient/KDSoapEndpointReference.h
- src/KDSoapClient/KDSoapEndpointReference.cpp

Klarälvdalens Datakonsult AB (KDAB)
"The Qt, C++ and OpenGL Experts"
https://www.kdab.com/
https://www.kdab.com/development-resources/qt-tools/kd-soap/